<?php

include('db.inc.php');

function PrintSelect($table, $field) {
	$mydb = new db();

	$stmt = "SELECT * FROM $table ORDER BY nev ASC";
	$result=$mydb->query($stmt);

	printf("<select name=$field>\n");
	printf("<option value=0>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>\n");

	while (($row = mysql_fetch_object($result))){
		printf("<option value=\"%s\">%s</option>\n", $row->id, stripslashes($row->nev));	
	}

	printf("</select>\n");

}

function helyihiba($msg){
		include('headerjel.inc.php');
	printf("<h5>Hiba!</h5><p>%s", $msg);
	include('footerjel.inc.php');
	exit();


}


function get_spec_data($table, $field, $key) {
	$mydb = new db();
	$stmt="select $field from $table where id='$key'";
	$result=$mydb->query($stmt);
	while ($row = mysql_fetch_object($result)){
		return $row->$field;
	}
}




if ($round==2){

	$mydb = new db();
	$stmt="SELECT serialized FROM kk_f_sessions WHERE sid='$sid'";
	$result=$mydb->query($stmt);

	while ($row = mysql_fetch_object($result)) {
		$data=unserialize($row->serialized);

		$stmt = "INSERT INTO kk_tag(datum_1, nev, irsz, telepules, utca, megye, telefon, fax, email, web, referenciak, szolgaltatas, specialitas, szla_tip, szla_nev, szla_irsz, szla_telepules, szla_cim, szla_kon, kategoria_1, kategoria_2, kategoria_3, kategoria_4, kategoria_5, kategoria_6, kategoria_7, kategoria_8, email2, elfogadva) VALUES('$data[datum_1]', '$data[nev]', '$data[irsz]', '$data[telepules]', '$data[utca]', '$data[megye]', '$data[telefon]', '$data[fax]', '$data[email]', '$data[web]', '$data[referenciak]', '$data[szolgaltatas]', '$data[specialitas]', '$data[szla_tip]', '$data[szla_nev]', '$data[szla_irsz]', '$data[szla_telepules]', '$data[szla_cim]', '$data[szla_kon]', '$data[kategoria_1]', '$data[kategoria_2]', '$data[kategoria_3]', '$data[kategoria_4]', '$data[kategoria_5]', '$data[kategoria_6]', '$data[kategoria_7]', '$data[kategoria_8]', '$email2', '$elfogadva')";
		$result2=$mydb->query($stmt);

		$stmt="DELETE FROM f_sessions WHERE sid='$sid'";
		$result2=$mydb->query($stmt);
	}


	//mail a szerkesztonek

	$to="info@faiskola.hu";
	//$to="perger@mkk.hu";
	$subject="uj jelentkezes a szaknevsorba - konyvelokereso.hu";
	$message=$data[nev] ."(". $data[email] .")\n";
	$xtra="X-Mailer: PL-PHP/" . phpversion();

	//printf("%s<BR>%s<BR>%s<BR>%s<BR>%s<BR>", $to, $subject, $message, $xtra, $stmt);
	mail($to, $subject, $message, $xtra);



	
	include('headerjel.inc.php');
	printf("<p style='font-size: 11px; font-family: Tahoma'><B>Köszöntjük a KÖNYVELŐ KERESŐ szaknévsorának tagjaként!</B></p><P style='font-size: 11px; font-family: Tahoma'>Az Ön által megadott adatok nemsokára megjelennek a szaknévsorban. Jelentkezését néhány napon belül postai úton küldött levélben igazoljuk vissza. További kérdéseivel kapcsolatban <a href=\"kapcsolat.php\">munkatársaink</a> örömmel állnak rendelkezésére.</p>
");
	include('footerjel.inc.php');


}elseif($round==1){

	if ($nev=="" || $irsz=="" || $telepules=="" || $utca==""  || $megye=="" ||  $referenciak=="" || $szolgaltatas=="" || $specialitas=="" || $kategoria_1=="" || $extra=="" || $email2=="" || $elfogadva != 'on') {
		helyihiba("<p style='font-size: 11px; font-family: Tahoma'>Nem töltött ki minden kötelező mezőt! A javításhoz használja a 'Vissza' gombot!</p>");
	}


	if($extra==2 && ($telefon=="" || $email=="" || $szla_tip=="" || $szla_nev=="" || $szla_irsz=="" || $szla_telepules=="" || $szla_cim=="" || $szla_kon=="")){
		helyihiba("<p style='font-size: 11px; font-family: Tahoma'>Az extra szolgáltatások igénybevételéhez töltse ki a kékkel csillagal jelölt kötelező mezőket is! A javításhoz használja a 'Vissza' gombot!</p>");
	}

	// html kódok leugranak
	while (list($key, $val) = each($_POST)) {
		if ($key<>"Submit" && $key<>"round"){
			$data[$key]=addslashes(strip_tags($val));
		}
	}
	$data["datum_1"]=date('Y-m-d');

	// beiras a sessiontablaba
	$serialized = serialize($data);

	mt_srand((double)microtime()*1000000);
	$randval = mt_rand();
	$sid=md5($randval);

	$stmt="INSERT INTO kk_f_sessions (sid, serialized) VALUES('$sid', '$serialized')";

	$mydb = new db();
	$result=$mydb->query($stmt);


	include('header.inc.php');
	
	include('tag.form2.inc.php');
	include('footer.inc.php');
} else {
	include('header.inc.php');
	include('tag.form.inc.php');
	include('footer.inc.php');
}
?>
